12.4. Konfiguration von Anwendungen
Zurück | Kapitel 12. Konfiguration und Tuning | Weiter

## 12.4. Konfiguration von Anwendungen

Installierte Anwendungen haben typischerweise eigene Konfigurationsdateien, die eine eigene Syntax verwenden. Damit diese Dateien leicht von der Paketverwaltung gefunden und verwaltet werden können, ist es wichtig, sie vom Basissystem zu trennen.

Für gewöhnlich werden diese Dateien in `/usr/local/etc` installiert. Besitzt eine Anwendung viele Konfigurationsdateien, werden diese in einem separaten Unterverzeichnis abgelegt.

Wenn ein Port oder ein Paket installiert wird, werden normalerweise auch Beispiele für die Konfigurationsdateien installiert. Diese erkennt man gewöhnlich an dem Suffix `.default`. Wenn keine Konfigurationsdateien für eine Anwendung existieren, werden sie durch Kopieren der `.default` Dateien erstellt.

Als Beispiel sei `/usr/local/etc/apache` gezeigt:

    -rw-r--r--  1 root  wheel   2184 May 20  1998 access.conf
    -rw-r--r--  1 root  wheel   2184 May 20  1998 access.conf.default
    -rw-r--r--  1 root  wheel   9555 May 20  1998 httpd.conf
    -rw-r--r--  1 root  wheel   9555 May 20  1998 httpd.conf.default
    -rw-r--r--  1 root  wheel  12205 May 20  1998 magic
    -rw-r--r--  1 root  wheel  12205 May 20  1998 magic.default
    -rw-r--r--  1 root  wheel   2700 May 20  1998 mime.types
    -rw-r--r--  1 root  wheel   2700 May 20  1998 mime.types.default
    -rw-r--r--  1 root  wheel   7980 May 20  1998 srm.conf
    -rw-r--r--  1 root  wheel   7933 May 20  1998 srm.conf.default

Anhand der Dateigröße erkennen Sie, dass sich nur `srm.conf` geändert hat. Eine spätere Aktualisierung des Apache-Ports überschreibt diese Datei nicht.

Zurück | Nach oben | Weiter
12.3. Basiskonfiguration | Zum Anfang | 12.5. Start von Diensten

Wenn Sie Fragen zu FreeBSD haben, schicken Sie eine E-Mail an <de-bsd-questions@de.FreeBSD.org>.
Wenn Sie Fragen zu dieser Dokumentation haben, schicken Sie eine E-Mail an <de-bsd-translators@de.FreeBSD.org>.